Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001030Documentation, Examples, and Web SiteWriting with Informpublic2012-10-16 17:082014-05-07 07:38
Reporterclimbingstars 
Assigned Tograham 
PrioritynormalSeveritymildReproducibilityalways
StatusclosedResolutionfixed 
Platformx86OSWindowsOS VersionXP
Product Version6G60 
Target VersionFixed in Version6L02 
Summary0001030: "16.1. Understand" clashes with "17.30. Supplying a missing noun/second noun"
Description"16.1. Understand" says this.

"For obvious reasons, this pattern of words needs to match the expectations of the action. Photographing applies to "one visible thing" - the "visible" just means it does not need to be touched, only seen - so neither of these would be allowable:

Understand "photograph" as photographing.
Understand "photograph [someone] standing next to [something]" as photographing.

The first is bad because it supplies no things at all, the second because it supplies two: what we want, of course, is just the one.".

But the first is allowable as stated in "17.30. Supplying a missing noun/second noun".
Minimal Source Text To Reproduce
"Test"

Rule for supplying a missing noun while locking:
now the noun is the standard door;
say "([the noun])[command clarification break]".

Rule for supplying a missing noun while unlocking:
now the noun is the standard door;
say "([the noun])[command clarification break]".

Rule for supplying a missing second noun while locking:
now the second noun is the key;
say "(with [the second noun])[command clarification break]".

Rule for supplying a missing second noun while unlocking:
now the second noun is the key;
say "(with [the second noun])[command clarification break]".

Understand "Lock" and "Lock [something]" as locking it with.

Understand "Unlock" and "Unlock [something]" as unlocking it with.

The Testing Room is A Room. A key is in the testing room. The key unlocks the standard door.

The standard door is a locked door. The Standard Door is south of The Testing Room. The Other Room is 
south of The Standard Door.

Test me with "unlock / lock / unlock door / lock door / unlock door with key / lock door with key 
/ unlock door with key / s".
Additional InformationNot only is it allowed, it is also crucial that it exists in order for certain supplying a missing noun/second noun rules to work. Blanking out the two understand lines and rerunning the code shows how important they are.
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
There are no notes attached to this issue.

- Issue History
Date Modified Username Field Change
2012-10-16 17:08 climbingstars New Issue
2012-10-17 11:46 EmacsUser Status new => confirmed
2014-01-25 09:02 graham Status confirmed => resolved
2014-01-25 09:02 graham Resolution open => fixed
2014-01-25 09:02 graham Assigned To => graham
2014-05-07 07:37 jmcgrew Fixed in Version => 6L02
2014-05-07 07:38 jmcgrew Status resolved => closed


Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker